<template>
  <v-select
    :items="listaAnios"
    v-model="anioSeleccionado"
    v-on:change="cambioFecha"
    append-icon="mdi-calendar"
    label="Año"
  ></v-select>
</template>
<script>
export default {
  components: {},
  name: "select_anio",
  component: {},
  data() {
    return {
      listaAnio: [],
      anioSeleccionado: "",
    };
  },
  created() {
    this.years();
  },
  methods: {
    cambioFecha() {
      this.$emit("anioSelected", this.anioSeleccionado);
    },
    years() {
      const year = new Date().getFullYear();
      var listaYears = Array.from(
        { length: year - 2019 },
        (value, index) => 2020 + index
      );
      this.listaAnios = listaYears.sort((a, b) => b - a);
    },
  },
};
</script>